Skip to content
MyStocks Developers
API v1

API v1

Current stable contract

Versioning policyRelease changelog
Sandbox console

ETF price history (candles)

Pan-African Market Data & Intelligence

GET

/etfs/{symbol}/history

ETF price history (candles)

Sandbox availablegetEtfHistory

Returns OHLCV candles for the given ETF symbol. Gated strictly to ETFs; querying standard stocks returns 404. Supported periods: 1d, 1w, 1m, 3m, 6m, 1y, 3y, 5y, max. Candle interval is auto-selected based on period.

Parameters

symbolstringpathRequired

Example: GLD.ZA

period1d | 1w | 1m | 3m | 6m | 1y | 3y | 5y | maxquery

Time range. Default: 1m.

Example: 1m

Headers

AuthorizationstringRequired

Bearer sk_sandbox_<your_key> for sandbox requests.

Response fields

symbolstring
periodstring
candlesobject[]
candles[].datestring
candles[].opennumber
candles[].highnumber
candles[].lownumber
candles[].closenumber
candles[].volumeinteger
candles[].ohlcAvailableboolean
candles[].volumeAvailableboolean

Response codes

200Price history candles.
404Symbol not found or security is not an ETF.